<template>
  <div>
    <div class="container extended pt-5">
      <div
        class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start"
      >
        <div class="text-uppercase">{{ $t('index.news.title') }}</div>
        <div class="ml-md-4 font-medium">
          <a
            :href="
              'https://app.ryzom.com/app_forum/index.php?page=forum%2Fview%2F1839&lang=' +
                $i18n.locale
            "
            >{{ $t('index.news.viewAll') }}</a
          >
        </div>
      </div>
    </div>

    <div
      class="bg-section-gradient section-border-top section-border-bottom p-md-5 pt-4 widget-news"
    >
      <div class="container extended">
        <div class="row">
          <div
            v-for="entry in getNews"
            :key="entry.id"
            class="col-sm-6 col-xl-3 mb-4 mb-xl-0"
          >
            <div class="aspect-box">
              <div class="aspect-container">
                <news-card :entry="entry"></news-card>
              </div>
            </div>
          </div>
          <div v-if="!hasNews" class="col">
            {{ $t('index.news.noNews') }}
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import NewsCard from '~/components/cards/news-card';
export default {
  components: { NewsCard },
  computed: {
    ...mapGetters('news', ['getNews', 'getNewsLoadingStatus']),
    hasNews() {
      return this.getNews.length > 0;
    },
  },
  mounted() {
    if (!this.getNewsLoadingStatus) {
      this.loadNews();
    }
  },
  methods: {
    async loadNews() {
      await this.$store.dispatch('news/loadNews');
    },
  },
};
</script>
